"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.operators = exports.plugins = void 0;
var detect_1 = require("./detect");
Object.defineProperty(exports, "detect", { enumerable: true, get: function () { return detect_1.detect; } });
var logger_1 = require("./logger");
Object.defineProperty(exports, "defaultLogger", { enumerable: true, get: function () { return logger_1.defaultLogger; } });
Object.defineProperty(exports, "toLogger", { enumerable: true, get: function () { return logger_1.toLogger; } });
var match_1 = require("./match");
Object.defineProperty(exports, "matches", { enumerable: true, get: function () { return match_1.matches; } });
var plugin_1 = require("./plugin");
Object.defineProperty(exports, "BasePlugin", { enumerable: true, get: function () { return plugin_1.BasePlugin; } });
var spy_factory_1 = require("./spy-factory");
Object.defineProperty(exports, "create", { enumerable: true, get: function () { return spy_factory_1.create; } });
var util_1 = require("./util");
Object.defineProperty(exports, "inferPath", { enumerable: true, get: function () { return util_1.inferPath; } });
Object.defineProperty(exports, "inferType", { enumerable: true, get: function () { return util_1.inferType; } });
var operators_1 = require("./operators");
var plugin_2 = require("./plugin");
exports.plugins = {
    CyclePlugin: plugin_2.CyclePlugin,
    DebugPlugin: plugin_2.DebugPlugin,
    GraphPlugin: plugin_2.GraphPlugin,
    LetPlugin: plugin_2.LetPlugin,
    LogPlugin: plugin_2.LogPlugin,
    PausePlugin: plugin_2.PausePlugin,
    SnapshotPlugin: plugin_2.SnapshotPlugin,
    StackTracePlugin: plugin_2.StackTracePlugin,
    StatsPlugin: plugin_2.StatsPlugin
};
exports.operators = {
    hide: operators_1.hide,
    tag: operators_1.tag
};
